Skip to main content
GET
Get Dependent Agents List

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

documentation_id
string
required

The id of a document from the knowledge base. This is returned on document addition.

Example:

"21m00Tcm4TlvDq8ikWAM"

Query Parameters

dependent_type
enum<string>
default:all

Type of dependent agents to return.

Available options:
direct,
transitive,
all
page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

agents
(DependentAvailableAgentIdentifier · object | DependentUnknownAgentIdentifier · object)[]
required
has_more
boolean
required
branches
DependentBranchInfo · object[]
next_cursor
string | null